Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.gemini.blueprint.extender.event
Class BootstrappingDependenciesEvent

    java.lang.Object
      java.util.EventObject
          org.springframework.context.ApplicationEvent
              org.springframework.context.event.ApplicationContextEvent
                  org.eclipse.gemini.blueprint.context.event.OsgiBundleApplicationContextEvent
                      org.eclipse.gemini.blueprint.extender.event.BootstrappingDependenciesEvent

All Implemented Interfaces:
  Serializable

    public class BootstrappingDependenciesEvent

extends OsgiBundleApplicationContextEvent

Spring-DM Extender bootstrapping event. Used during the application context discovery phase, before an application context is fully initialized. Similar to `BootstrappingDependencyEvent`, this event contains the information regarding all unsatisfied dependencies. Consider using this event `BootstrappingDependencyEvent` for getting a global overview of the waiting application and `BootstrappingDependencyEvent` for finding out specific information.

It can be used to receive status updates for contexts started by the extender.

Author:
  Costin Leau
See Also:
  Serialized Form

Field Summary

Fields inherited from class java.util.EventObject
`source`

Constructor Summary
`BootstrappingDependenciesEvent(org.springframework.context.ApplicationContext source, org.osgi.framework.Bundle bundle, Collection<OsgiServiceDependencyEvent> nestedEvents, org.osgi.framework.Filter filter, long timeLeft)` Constructs a new `BootstrappingDependencyEvent` instance.

Method Summary
`org.osgi.framework.Filter` | `getDependenciesAsFilter()`
`Collection<OsgiServiceDependencyEvent>` | `getDependencyEvents()` Returns the nested, dependency event that caused the bootstrapping event to be raised.
`Collection<String>` | `getDependencyFilters()`
`long` | `getTimeToWait()`

Methods inherited from class org.eclipse.gemini.blueprint.context.event.OsgiBundleApplicationContextEvent
`getBundle`

Methods inherited from class org.springframework.context.event.ApplicationContextEvent
`getApplicationContext`

Methods inherited from class org.springframework.context.ApplicationEvent
`getTimestamp`

Methods inherited from class java.util.EventObject
`getSource, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### BootstrappingDependenciesEvent

    public BootstrappingDependenciesEvent(org.springframework.context.ApplicationContext source,
                                          org.osgi.framework.Bundle bundle,
                                          Collection<OsgiServiceDependencyEvent> nestedEvents,
                                          org.osgi.framework.Filter filter,
                                          long timeLeft)

  Constructs a new `BootstrappingDependencyEvent` instance.

  Parameters:
    `source` -

Method Detail

### getDependencyEvents

    public Collection<OsgiServiceDependencyEvent> getDependencyEvents()

  Returns the nested, dependency event that caused the bootstrapping event to be raised.

  Returns:
    associated dependency event

### getDependenciesAsFilter

    public org.osgi.framework.Filter getDependenciesAsFilter()

### getDependencyFilters

    public Collection<String> getDependencyFilters()

### getTimeToWait

    public long getTimeToWait()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006-2012. All Rights Reserved.